New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/exp/io: introduce NotSupportedErr #15505

Open
rakyll opened this Issue May 2, 2016 · 0 comments

Comments

Projects
None yet
1 participant
@rakyll
Copy link
Member

rakyll commented May 2, 2016

io packages should export an NotSupportedErr and enforce driver implementations to return this value as an error if the driver doesn't support the protocol properly.

Given the number of protocol implementations and the fragmentation in implementations and target boards, users can fallback to another strategy or turn off certain features dynamically if the driver doesn't provide full support.

@rakyll rakyll self-assigned this May 2, 2016

@rakyll rakyll added this to the Unreleased milestone May 2, 2016

@rakyll rakyll changed the title x/exp/io: introduce OpNotSupportedErr x/exp/io: introduce NotSupportedErr Jun 19, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment